//
// Copyright (C) 2024 veypi <i@veypi.com>
// 2025-03-04 16:08:06
// Distributed under terms of the MIT license.
//

package settings

import (
	"github.com/veypi/vbase/cfg"
	"github.com/veypi/vigo"
)

var Router = vigo.NewRouter()

func init() {
	// 获取设置列表（支持按分类过滤）
	// 只有拥有所有权限的可以修改配置表
	Router.Get("/", "获取设置列表", cfg.Auth.RequireRead("setting:*"), list)
	// 批量更新设置
	Router.Put("/", "批量更新设置", cfg.Auth.RequireWrite("setting:*"), update)
}
